# DE client
class eid::de_client (
  String $make_target = 'DE-prod'
) {

  package { ['openjdk-17-jre-headless']: ensure => latest }

  sunet::scriptherder::cronjob { 'update-de':
    cmd         => "cd /opt/metadata && make ${make_target}",
    minute      => '0',
    weekday     =>  '1',
    hour        =>  '9',
    ok_criteria => ['exit_status=0'],
  }

}
